Debian Bug report logs - #245341
slapd: please enable lanman password hash support

version graph

Package: slapd; Maintainer for slapd is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>; Source for slapd is src:openldap.

Reported by: Julien BLACHE <jblache@debian.org>

Date: Thu, 22 Apr 2004 17:18:02 UTC

Severity: wishlist

Tags: patch

Fixed in version openldap2.3/2.3.35-2

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#245341; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: submit@bugs.debian.org
Subject: slapd: please enable lanman password hash support
Date: Thu, 22 Apr 2004 19:07:36 +0200
[Message part 1 (text/plain, inline)]
Package: slapd
Severity: wishlist
Tags: patch

Hi,

Lanman password hashes are currently not supported by Debian's
OpenLDAP. Lanman hashes are used by Windows (>= NT4) to store users
passwords (used by Samba etc., although they're not stored in LDAP).

The attached patch enables the lmpasswd support and makes it build
with libgcrypt instead of OpenSSL.

The patch may need some tweaking still, feel free to adapt it as you
probably know the slapd internals far better than I do. Tested, works
for me :)

Thanks,

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 

[lmpasswd-libgcrypt.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#245341; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #10 received at 245341@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: 245341@bugs.debian.org
Subject: lanman password hashes support
Date: Tue, 19 Apr 2005 12:51:32 +0200
Hi,

FYI, this patched has been running stable on several LDAP servers
since I filed the bug.

Any thoughts on applying this patch to the package ?

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 



Tags added: pending Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2007 06:48:03 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien BLACHE <jblache@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 245341-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 245341-close@bugs.debian.org
Subject: Bug#245341: fixed in openldap2.3 2.3.35-2
Date: Mon, 25 Jun 2007 19:30:57 +0000
Source: openldap2.3
Source-Version: 2.3.35-2

We believe that the bug you reported is fixed in the latest version of
openldap2.3, which is due to be installed in the Debian FTP archive:

ldap-utils_2.3.35-2_i386.deb
  to pool/main/o/openldap2.3/ldap-utils_2.3.35-2_i386.deb
libldap-2.3-0-dbg_2.3.35-2_i386.deb
  to pool/main/o/openldap2.3/libldap-2.3-0-dbg_2.3.35-2_i386.deb
libldap-2.3-0_2.3.35-2_i386.deb
  to pool/main/o/openldap2.3/libldap-2.3-0_2.3.35-2_i386.deb
openldap2.3_2.3.35-2.diff.gz
  to pool/main/o/openldap2.3/openldap2.3_2.3.35-2.diff.gz
openldap2.3_2.3.35-2.dsc
  to pool/main/o/openldap2.3/openldap2.3_2.3.35-2.dsc
slapd-dbg_2.3.35-2_i386.deb
  to pool/main/o/openldap2.3/slapd-dbg_2.3.35-2_i386.deb
slapd_2.3.35-2_i386.deb
  to pool/main/o/openldap2.3/slapd_2.3.35-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 245341@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated openldap2.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 11 Jun 2007 20:26:26 -0700
Source: openldap2.3
Binary: slapd ldap-utils libldap-2.3-0-dbg libldap-2.3-0 slapd-dbg
Architecture: source i386
Version: 2.3.35-2
Distribution: unstable
Urgency: low
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.3-0 - OpenLDAP libraries
 libldap-2.3-0-dbg - Debugging information for OpenLDAP libraries
 slapd      - OpenLDAP server (slapd)
 slapd-dbg  - Debugging information for the OpenLDAP server (slapd)
Closes: 205010 225896 227482 245341 254999 403948 408987 412017 412575 427245
Changes: 
 openldap2.3 (2.3.35-2) unstable; urgency=low
 .
   * Enable LAN Manager password support in slapd.  (Closes: #245341)
   * If automatic configuration is selected and slapd.conf doesn't exist
     during an upgrade, treat this as a fresh installation rather than
     aborting with an error.  Also try to provide a better error message if
     the user has deleted /etc/ldap/schema but we just generated a new
     configuration that references it.  These cases can occur if someone
     removes (rather than purges) the package, manually deletes /etc/ldap,
     and then reinstalls.  (Closes: #205010)
   * Don't fail in slapd's postrm if /etc/ldap/schema has already been
     deleted.
   * Remove slapd conflicts with libbind-dev and bind-dev.  There no longer
     appears to be anything in those packages that would break slapd's
     resolver.  (Closes: #225896)
   * Add libldap-2.3-0-dbg and slapd-dbg packages with detached debugging
     information.
   * db_recover is no longer required after changing DB_CONFIG; slapd now
     detects changes itself and does the right thing.  Also note in
     README.DB_CONFIG the existence of the dbconfig slapd.conf parameter
     and slapd's DB_CONFIG writing support.  (Closes: #412575)
   * Add options to /etc/default/slapd to let the system administrator tell
     the init script to not start slapd on boot.  (Closes: #254999)
   * Redirect fd 3 to /dev/null in the slapd init script for additional
     robustness when debconf is running.  (Closes: #227482)
   * Add to /etc/default/slapd a commented-out example of how to change the
     keytab file used for GSSAPI authentication.  (Closes: #412017)
   * Use variables in /etc/init.d/slapd for the paths to slapd and slurpd
     so that someone who really wants to can override them in
     /etc/default/slapd.  (Closes: #403948)
   * Allow people building packages for outside Debian to skip the checks
     for non-DFSG-free material by setting a variable. Thanks, Peter
     Marschall.  (Closes: #427245)
   * Remove duplicate libldap-2.3-0 dependencies.  (Closes: #408987)
   * Use binary:Version instead of Source-Version for the tight
     dependencies between slapd and ldap-utils and libldap-2.3-0.
Files: 
 330138af63b52443162a7bc9c919d208 1233 net optional openldap2.3_2.3.35-2.dsc
 f8db8f6d708ffe7a337d0e96398bd276 152804 net optional openldap2.3_2.3.35-2.diff.gz
 32322a30de06b70d1dcedf2fa2ffdada 1205176 net optional slapd_2.3.35-2_i386.deb
 13f104d17636ef91bbe92c0cf78715ed 152916 net optional ldap-utils_2.3.35-2_i386.deb
 f46537a78bc46a1c105df26e3bad1dae 313008 libs optional libldap-2.3-0_2.3.35-2_i386.deb
 20fd393d0edd0742ae79166b0750907b 565356 libdevel extra libldap-2.3-0-dbg_2.3.35-2_i386.deb
 1896430bcb3aa4d8771d2a98f45f2f95 3009458 net extra slapd-dbg_2.3.35-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGbhme+YXjQAr8dHYRAnOaAKDGLeaAUAOZZspUZ1kY5+wxq9qGpQCdFUSw
QHwy1lFMBF+a+ku00QB6zD0=
=j7wK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 Aug 2007 07:26:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:55:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.